# mdtraj.load_prmtop

mdtraj.load_prmtop(filename, standard_names=True, **kwargs)

  Load an AMBER prmtop topology file from disk.

  Parameters:

    - filename (path-like) – Path to the prmtop file on disk.

    - standard_names (bool, default=True) – If True, non-standard atomnames and residuenames are standardized to conform with the current PDB format version. If set to false, this step is skipped.

  Returns:

    top – The resulting topology, as an md.Topology object.

  Return type:

    md.Topology

  Notes

  Deprecated fields in the prmtop file are not loaded. This includes the BOX dimensions, which should be stored in trajectory files instead of the prmtop for systems with periodic boundary conditions. Because ‘.binpos’ files do not store box dimensions, this means that unitcell information will be lost if you use .binpos + .prmtop files with MDTraj.

  Examples

      >>> topology = md.load_prmtop('mysystem.prmtop')
      >>> # or
      >>> trajectory = md.load('trajectory.mdcrd', top='system.prmtop')